* { 
    margin: 0px; padding: 0px;
    font-family: Arial, Helvetica, sans-serif;
}

@media all and (max-width: 1024px)
{
    ul{
        display: block !important;
        width: auto !important;
        
    }

    #contenedor li a{
        display: block !important;
        border-bottom: 1px solid #ccc !important;
    }
    
    h1{
        font-size: 6em !important;
        height: 110px !important;
        width: 600px !important;
    }

    }

@media all and (max-width: 800px)
{
    ul{
        display: block !important;
        width: auto !important;
        
    }

    #contenedor li a{
        display: block !important;
        border-bottom: 1px solid #ccc !important;
    }
    
    h1{
        font-size: 5em !important;
        height: 100px !important;
        width: 500px !important;
    }
   
    }
    
    @media all and (max-width: 570px)
    {
        ul{
            display: block !important;
            width: auto !important;
            
        }
    
        #contenedor li a{
            display: block !important;
            border-bottom: 1px solid #ccc !important;
        }

        
        h1{
            font-size: 4em !important;
            height: 90px !important;
            width: 400px !important;
        }
  
        }

body{
    padding: 20px;
    text-align: center;
    background-color: aliceblue;
}

#page{
    width: 95%;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

#page>header{
    width: auto;
    height: auto;
    background-image: url("../imgs/header.png");
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 150px;
    padding-bottom: 150px;
}

h1{
    font-weight: bold;
    font-size: 100px;
    color: #6464a0;
    background-color: rgb(255, 255, 255, 0.5);
    margin: auto;
    height: 120px;
    width: 700px;
    border-radius: 15px;
}

nav{
    font-size: 2em;
    font-weight: bold;
}

ul{
    display: flex;
    justify-content: center;
}

nav > ul > li{
    padding-top: 100px;
    margin-top: 0px;
    margin-right: 80px;
    margin-bottom: 50px;
    margin-left: 80px;
    list-style: none;
    /*display: inline-block;*/
    text-align: center;
}

nav li:hover{
    cursor: default
}

nav a:hover{
    color: rgba(64, 64, 100, 0.5);
}

#contenedor li:nth-child(1),
#contenedor li:nth-child(2),
#contenedor li:nth-child(3){
    background-repeat: no-repeat;
    background-position-y: 20px;
    background-position-x: center;
    background-size: 40px;
    transition: color 1s, background-size 1s;
}

#contenedor li:nth-child(1):hover,
#contenedor li:nth-child(2):hover,
#contenedor li:nth-child(3):hover{
    color: rgba(64, 64, 100, 0.5);
    background-size: 80px;
}

#contenedor li:nth-child(1){
    background-image: url("../imgs/logoHome.png");
}

#contenedor li:nth-child(2){
    background-image: url("../imgs/logoFilamento.png");
}

#contenedor li:nth-child(3){
    background-image: url("../imgs/logoContacto.png");
}

a{
    text-decoration: none;
    color: #6464a0;
}

h2{
    color: #6464a0;
    margin-bottom: 20px;
}

form{
    text-align: left;
    position: relative;
}

form ul{
    list-style: none;
    display: flex;
    justify-content: flex-start;
}



label{
    color: #6464a0;
    margin-top: 5px;
    margin-left: 20px;
}

input{
    margin-top: 5px;
    margin-left: 20px;
    margin-bottom: 5px;
    display: block;
    text-align: start;
    background: transparent no-repeat top right;
    background-size: contain;
    color: #6464a0;
}

input:hover{
    border-color: blue;
}



input:required {
    color: #6464a0;
    background-image: url('../imgs/required.png');
}

input:not([type=range]):not([type=date]):not([type=submit]):not([type=button]):not([type=checkbox]):not([type=number]):focus:invalid {
    background-image: url('../imgs/invalid.png');
    color:#6464a0;
    text-shadow: none;
}

input:not([type=range]):not([type=date]):not([type=submit]):not([type=button]):not([type=checkbox]):not([type=number]):focus:valid {
    background-image: url('../imgs/valid.png');
    color: #6464a0;
    text-shadow: none;
}

label, input[type=submit], button{ 
	cursor: pointer; 
}

textarea{
    display: block;
    margin-top: 5px;
    border-color: #6464a0;
    margin-left: 20px;
}

textarea:hover{
    border-color: blue;
}

#enviar{
    margin-left: 70px;
    margin-top: 5px;
    margin-bottom: 50px;
    background-color: #6464a0;
    border-radius: 10px;
    margin-bottom: 10px;
    font-size: 1.3em;
    color: white;
    padding: 10px;
}

#enviar:hover{
    background-color: rgba(64, 64, 100, 0.5);
    cursor: pointer;
}

#reset{
    margin-left: 20px;
    margin-top: 5px;
    margin-bottom: 50px;
    background-color: #6464a0;
    border-radius: 10px;
    margin-bottom: 10px;font-size: 1.3em;
    color: white;
    padding: 10px;
}


#reset:hover{
    background-color: rgba(64, 64, 100, 0.5);
    cursor: pointer;
}
/*
#enviar{
    margin-left: 200px;
    margin-top: 5px;
    margin-bottom: 50px;
}

#reset{
    margin-left: 20px;
    margin-top: 5px;
    margin-bottom: 50px;
}*/

footer{
    clear: both;
    color: white;
    font-size: 1em;
    text-align: center;
    background-color: #6464a0;
    border-top: 6px solid black;
    padding-top: 15px;
    padding-bottom: 15px;
    margin-top: 20px;
}
    
footer p a{
    color: white;
}
